Name:		auralquiz
Version:	0.8.1
Release:	%mkrel 3

License:	GPLv2+
Group:		Games/Other
URL:		http://qt-apps.org/content/show.php/Auralquiz?content=139127&PHPSESSID=fbbd0bb50ef4774af4f2657b17399239
Source0:	139127-%{name}-v%{version}-src.tar.gz

BuildRequires:	phonon-devel
BuildRequires:	qt4-devel
BuildRequires:	imagemagick
BuildRequires:	taglib-devel

Requires:	qt4-common 
Requires:	phonon-backend


Summary:	A simple music quiz game for GNU/Linux

%description
The game plays short pieces of music files from the player's chosen 
folders, and presents a question and several answers about
the current song. 
The fastest the answer, the more points the player receives. Up to 
8 people can play, in a turn-based mode.
The game is quite complete already, but there are more modes
to be added, and several rough edges to polish.
Auralquiz uses Phonon for sound output. xine-backend is recommended. 
Gstreamer-backend works mostly fine.
VLC-backend doesn't work at this point.

%prep
%setup -q -n %{name}-v%{version}-src

%build
%qmake_qt4 

%make 

%install
rm -rf $RPM_BUILD_ROOT

# menu entry
install -d -m 755 %{buildroot}%{_datadir}/applications/
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

# icons
%__install -d -m755 $RPM_BUILD_ROOT/%{_datadir}/pixmaps
convert icon/%{name}.png -size 48x48 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png
convert icon/%{name}.png -size 32x32 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png
convert icon/%{name}.png -size 16x16 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

#binaries
install -d -m 755 %{buildroot}/%{_gamesbindir}/
install -m 755 %{name} %{buildroot}/%{_gamesbindir}/

#lang
install -d -m 755 %{buildroot}%{_datadir}/%{name}/locale
install -m 755 translations/*.qm %{buildroot}%{_datadir}/%{name}/locale/

%files
%defattr(-, root, root, -)
%doc CHANGELOG LICENSE README
%attr(0755,root,root) %{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/locale/*qm


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.8.1-3.mga4
+ Revision: 502971
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 346607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 13 2012 juancho <juancho> 0.8.1-1.mga3
+ Revision: 260172
- Updated to 0.8.1

* Tue Feb 14 2012 juancho <juancho> 0.8-1.mga2
+ Revision: 208604
- Added missing BR taglib-devel
- Updated to 0.8
- Removed patch auralquiz_fix_desktop_file.diff

* Sun Sep 25 2011 juancho <juancho> 0.6-1.mga2
+ Revision: 147829
- Added missing patch
- Fixed bad comment on desktop file.
- Added missing BuildRequires: imagemagick
- Changed in %%files multiple files for a wildcard.

  + vaci0 <vaci0>
    - Fix Requires phonon-backend
    - imported package auralquiz

